Bug 1274994 - python failures when running rhcert-backend certify
python failures when running rhcert-backend certify
Status: CLOSED CURRENTRELEASE
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification (Show other bugs)
1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 13:37 EDT by Nathan LeBarron
Modified: 2015-11-09 09:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 09:44:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sos report (6.21 MB, application/x-xz)
2015-10-24 13:37 EDT, Nathan LeBarron
no flags Details
rhcert.xml (1.56 KB, application/xml)
2015-10-26 10:33 EDT, Nathan LeBarron
no flags Details

  None (edit)
Description Nathan LeBarron 2015-10-24 13:37:28 EDT
Created attachment 1086118 [details]
sos report

Description of problem:
Traceback after entering  rhcert-backend certify command

Version-Release number of selected component (if applicable):
redhat-certification-information-1.7.1-20150901.el7.noarch
redhat-certification-1.0-20150723.el7.noarch
redhat-certification-hardware-1.7.1-20150901.el7.noarch
kernel-debuginfo-3.10.0-229.el7.x86_64.rpm


How reproducible:
every time

Steps to Reproduce:
1.run rhcert-backend certify
2.observe failure
3.

Actual results:
Verifying test plan
Traceback (most recent call last):
  File "/usr/bin/rhcert-backend", line 37, in <module>
    success = rhcertBackend.do(args)
  File "/usr/lib/python2.7/site-packages/rhcert/client/backend.py", line 188, in do
    result = self.commands[self.command]()
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 631, in doCertify
    if not self.doPlan():
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 187, in doPlan
    self._initializePlanner()
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 56, in _initializePlanner
    self.planner.analyse(self.environment.getSuiteDirectory())
  File "/usr/lib/python2.7/site-packages/rhcert/planner.py", line 88, in analyse
    self.__instantiateTestsAndPlanners()
  File "/usr/lib/python2.7/site-packages/rhcert/planner.py", line 96, in __instantiateTestsAndPlanners
    test = testClass()
  File "/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/tests/fv_core/fv_core.py", line 27, in __init__
    FvTest.__init__(self, "fv_core")
  File "/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/hwcert/fvtest.py", line 62, in __init__
    Command("mkdir -p " + self.mountPoint).echo()
TypeError: cannot concatenate 'str' and 'NoneType' objects


Expected results:
run the certify test setup

Additional info:
this is similar to:
https://bugzilla.redhat.com/show_bug.cgi?id=1207378
which was opened 03/30 of this year and is still open.
Comment 1 Nathan LeBarron 2015-10-26 08:52:45 EDT
resolution discovered by uninstalling 
redhat-certification-1.0-20150723.el7.noarch
and attempting to reinstall
system called out qemu-kvm-tools rpm as not being installed which was a dependency for the redhat-certification package.

installed qemu-kvm-tools and reinstalled redhat-certification package and 
now rhcert-backend plan and other rhcert-backend commands run without traceback
issues.
Comment 2 Nathan LeBarron 2015-10-26 09:43:13 EDT
(In reply to Nathan LeBarron from comment #1)
> resolution discovered by uninstalling 
> redhat-certification-1.0-20150723.el7.noarch
> and attempting to reinstall
> system called out qemu-kvm-tools rpm as not being installed which was a
> dependency for the redhat-certification package.
> 
> installed qemu-kvm-tools and reinstalled redhat-certification package and 
> now rhcert-backend plan and other rhcert-backend commands run without
> traceback
> issues.

DISREGARD...ISSUE PERSISTS
Comment 3 Greg Nichols 2015-10-26 10:25:57 EDT
Please attach /etc/rhcert.xml
Comment 4 Nathan LeBarron 2015-10-26 10:33 EDT
Created attachment 1086531 [details]
rhcert.xml
Comment 5 Nathan LeBarron 2015-10-26 10:33:46 EDT
(In reply to Nathan LeBarron from comment #4)
> Created attachment 1086531 [details]
> rhcert.xml

file is attached.
Comment 6 Greg Nichols 2015-10-26 10:54:06 EDT
Could you try removing /etc/rhcert.xml? A new copy will be created next time rhcert-backend is run.

The attached rhcert.xml is from release 20150520, and may lack settings needed for the mount point.
Comment 7 Greg Nichols 2015-10-26 10:58:05 EDT
(In reply to Greg Nichols from comment #6)
> Could you try removing /etc/rhcert.xml? A new copy will be created next time
> rhcert-backend is run.
> 
> The attached rhcert.xml is from release 20150520, and may lack settings
> needed for the mount point.

Correction - the attached rhcert.xml is from version 20150105
Comment 8 Nathan LeBarron 2015-11-09 07:53:14 EST
This error was not seen with the updated version of the 
redhat-certification package:
redhat-certification-1.0-20150723.el7.noarch

This bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.